function ExponentialRK2Conv
% this code calculates the order of exponentialRK2 using a reference
% solution for Zeeman's Heartbeat model obtained using ode23s.
  
  alpha =             ; % free-parameter in e xponentialRK2.

  beta = 0.01;
  heartalpha = 3;

  % Zeeman's Heartbeat model: Example 11, Section 1.2.3
  f = @(t,y)               ;

  df = @(t,y)                 ;
  
  y0 =          ;
  T =         ;
  h =       ;

  options = odeset('RelTol',1e-12,'AbsTol',1e-12,'Jacobian',df);
  [tGood,yGood] = ode23s() ;

  disp('ode23s done...');
  
  yGood = yGood.'; % matlab compatibility
  
  err = nan(     );

  for j=1:
    [t,y] =            ;
    err(j) =             ;
  end

  figure;
  plot(t,y(1,:),'ro');
  hold on;
  plot(tGood, yGood(1,:), 'g-','LineWidth',1.1); 
  title('Solution to Zeeman''s Heartbeat Model using Exponential RK2');
  xlabel('t');
  ylabel('y(t)');
  legend(['Exponential RK2, h=' num2str(h(end))] ,'ode23s');
  
  figure;
  loglog(h,err,'bx:')
  grid on;
  title('Log-Log Plot of Error against Step-Size for Exponential RK2');
  xlabel('h');
  ylabel('error');

  fit = polyfit(log(h),log(err),1);
  fprintf('calculated numerical convergence orders: %f\n',fit(1));
